
#language: ru

@TransportLogistics

Функционал: 014. TransportLogistics. Создание накладных

Сценарий: 014.1. Проверка попадания планов отгрузки в статусе запланировано в АРМ Формирование накладных

	Дано Я подключаюсь под "Формирование накладных"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.016. Транспортная логистика"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПечатиОбъектов"
	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю на гиперссылку "Период"
	И Я указываю в диалоге стандартного периода период с "01.05.2020" по "31.05.2020"
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоПлановОтгрузки" я разворачиваю строку:
		| 'План'   | 'Транспорт/План отгрузки'             |
		| '10,000' | 'А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'        |
		| '10,000' | 'Запланировано' |
	И Я закрываю окно 'Формирование накладных'

Сценарий: 014.2. TransportLogistics. Формирование накладных для заданий на доставку для группы складов

	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю кнопку выбора у поля "Период"
	И Я указываю в диалоге стандартного периода период с "01.04.2020" по "30.04.2020"
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Группа складов для отгрузки'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|'Статус' |
		| 'А524НВ Газель, Водитель Петров Петр' | ''      |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю текущую строку с подчиненными
	И я нажимаю на кнопку 'Сформировать'
	И Я закрываю окно 'Формирование накладных'

Сценарий: 014.3. TransportLogistics. Создание реализации из задания на доставку с ТС и водителем в виде строки и проверка заполнения автомобиля и водителя в печатных формах

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' | 'Водитель'          | 'Дата'       | 'Статус'     | 'ТС'                  |
		| '06.04.2020 0:00:00'   | 'Водитель (строка)' | '06.04.2020' | 'К погрузке' | 'Автомобиль (строка)' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Задание на доставку * от *'
	И я перехожу к закладке "Накладные"
	И в таблице "Накладные" я нажимаю на кнопку 'Сформировать'
	И в таблице "Накладные" я перехожу к строке:
		| 'Статус'       |
		| 'Сформирована' |
	И в таблице "Накладные" я выбираю текущую строку
	Тогда открылось окно 'Реализация товаров * от *'
	И я перехожу к закладке с именем "СтраницаТовары"
	И в таблице "Товары" я выбираю текущую строку
	И в таблице "Товары" в поле с именем 'ТоварыЦена' я ввожу текст '100,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле с именем 'Комментарий' я ввожу текст 'Реализация для задания на доставку с ТС и водителем в виде строки'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Реализация товаров * от * *' в течение 20 секунд
	Тогда открылось окно 'Задание на доставку * от *'
	И в таблице "Накладные" я завершаю редактирование строки
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Реализация товаров* от *'
	И я жду, что в табличном документе "ТекущаяПечатнаяФорма" ячейка "R47C3" станет равна 'Водитель (строка)' в течение 20 секунд
	И в табличном документе "ТекущаяПечатнаяФорма" ячейка с адресом "R53C7" равна 'Марка прицепа (строка)'
	И в табличном документе "ТекущаяПечатнаяФорма" ячейка с адресом "R53C11" равна 'Номер прицепа (строка)'
	И Я закрываю окно 'Реализация товаров * от *'
	Тогда открылось окно 'Задание на доставку * от *'
	И я нажимаю на кнопку 'Транспортная накладная'
	Тогда открылось окно 'Реализация товаров * от *'
	И я жду, что в табличном документе "ТекущаяПечатнаяФорма" ячейка "R85C2" станет равна 'Водитель (строка) ' в течение 20 секунд
	И Я закрываю окно 'Реализация товаров * от *'
	Тогда открылось окно 'Задание на доставку * от *'
	И я закрываю окно 'Задание на доставку * от *'
	Тогда открылось окно 'Задания на доставку'
	И Я закрываю окно 'Задания на доставку'

Сценарий: 014.4. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT